%define		tarball		xf86-video-savage
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 savage video driver
Name:		xorg-x11-drv-savage
Version:	2.3.1
Release:	1
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source200:	savage.xinf

ExclusiveArch:	%{ix86} x86_64

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk
BuildRequires:	mesa-libGL-devel >= 6.5.1
BuildRequires:	libdrm-devel
BuildRequires:	libpciaccess-devel

Requires:	xorg-x11-server-Xorg >= 1.1.1

%description 
X.Org X11 savage video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static --enable-dri
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE200} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/savage_drv.so
%{_datadir}/hwdata/videoaliases/savage.xinf
%{_mandir}/man4/savage.4*

%changelog
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- Version Update
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.2.1-2
- rebuilt against x.org 1.6.1.901
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.2.1-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-2
- rebuilt against X.org 7.3
* Sun Aug 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-1
- version update
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.2-1
- version update
* Tue Sep 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.1.1-1
- Initial release
